Bug 1645768 (python-duecredit) - Review Request: python-duecredit - Automated collection and reporting of citations for used software/methods/datasets
Summary: Review Request: python-duecredit - Automated collection and reporting of cita...
Keywords:
Status: CLOSED ERRATA
Alias: python-duecredit
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1645767 (view as bug list)
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-03 13:52 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-15 03:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-15 02:12:00 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-03 13:52:11 UTC
Spec URL: <spec info here>
SRPM URL: <srpm info here>

Description:
duecredit is being conceived to address the problem of inadequate citation of
scientific software and methods, and limited visibility of donation requests
for open-source software.

It provides a simple framework (at the moment for Python only) to embed
publication or other references in the original code so they are automatically
collected and reported to the user at the necessary level of reference detail,
i.e. only references for actually used functionality will be presented back if
software provides multiple citeable implementations.

Fedora Account System Username: ankursinha


F30 scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30635402
F29 scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30635483

Comment 2 Robert-André Mauchin 2018-11-03 17:52:24 UTC
*** Bug 1645767 has been marked as a duplicate of this bug. ***

Comment 3 Zbigniew Jędrzejewski-Szmek 2018-11-04 10:50:04 UTC
> %global _description %{expand:
Nice trick.

Please add a backslash at the end of this line, because otherwise there's an spurious empty line in each "Description" section.

> %description doc
> %{_description}
Suggestion: maybe just say "documentation for %name".

rpmlint:
> python3-duecredit.noarch: E: summary-too-long C Automated collection and reporting of citations for used software/methods/datasets

Yeah, please fix.

+ package name is OK
+ license is acceptable (BSD)
+ license is specified correctly
+ latest version
+ builds and installs OK
+ fedora-review finds no issues
+ BR/Requires/Provides look OK

Package is APPROVED.

Comment 4 Ankur Sinha (FranciscoD) 2018-11-04 11:08:39 UTC
Thank you for the quick review, Zbigniew.

(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> > %global _description %{expand:
> Nice trick.

Stole if from another spec I saw ;)

> 
> Please add a backslash at the end of this line, because otherwise there's an
> spurious empty line in each "Description" section.

Done.

> 
> > %description doc
> > %{_description}
> Suggestion: maybe just say "documentation for %name".

Done

> 
> rpmlint:
> > python3-duecredit.noarch: E: summary-too-long C Automated collection and reporting of citations for used software/methods/datasets
> 
> Yeah, please fix.
> 

Done.

> + package name is OK
> + license is acceptable (BSD)
> + license is specified correctly
> + latest version
> + builds and installs OK
> + fedora-review finds no issues
> + BR/Requires/Provides look OK
> 
> Package is APPROVED.

Thanks. Here is the updated spec/srpm:

https://ankursinha.fedorapeople.org/python-duecredit/python-duecredit.spec
https://ankursinha.fedorapeople.org/python-duecredit/python-duecredit-0.6.4-2.fc29.src.rpm

Requesting scm now.

Cheers,
Ankur

Comment 5 Gwyn Ciesla 2018-11-05 16:03:52 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-duecredit

Comment 6 Fedora Update System 2018-11-05 17:09:11 UTC
python-duecredit-0.6.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c659fbecc6

Comment 7 Fedora Update System 2018-11-05 17:09:41 UTC
python-duecredit-0.6.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a61ca72ac6

Comment 8 Fedora Update System 2018-11-05 17:09:48 UTC
python-duecredit-0.6.4-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-af26dc28f1

Comment 9 Fedora Update System 2018-11-06 22:01:18 UTC
python-duecredit-0.6.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c659fbecc6

Comment 10 Fedora Update System 2018-11-06 22:45:34 UTC
python-duecredit-0.6.4-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-af26dc28f1

Comment 11 Fedora Update System 2018-11-06 23:28:04 UTC
python-duecredit-0.6.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a61ca72ac6

Comment 12 Fedora Update System 2018-11-15 02:12:00 UTC
python-duecredit-0.6.4-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-11-15 02:28:29 UTC
python-duecredit-0.6.4-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-11-15 03:14:03 UTC
python-duecredit-0.6.4-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.